package com.gh.common.iinterface

import com.gh.gamecenter.entity.BottomTab

interface ISearchToolbarTab {
    fun onScrollChanged(totalHeight: Int, offset: Int, isDarkModeChanged: Boolean)
    fun changeAppBarColor(color: Int, pageId: String)
    fun updateSearchStyle(searchStyle: BottomTab.SearchStyle)
    fun getCurrentTabIndex(): Int?
}